IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network114.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
114.0.0.0- Broadcast address
114.255.255.255- First usable
114.0.0.1- Last usable
114.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
72000000· Integer1912602624to1929379839 - Reverse DNS zone
114.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01110010..00000000.00000000.00000000 | 114.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 01110010..00000000.00000000.00000000 | 114.0.0.0 |
| Broadcast | 01110010..11111111.11111111.11111111 | 114.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
114.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 114.0.0.0/16 | 114.0.0.1 to 114.0.255.254 | 114.0.255.255 | 65,534 |
| 2 | 114.1.0.0/16 | 114.1.0.1 to 114.1.255.254 | 114.1.255.255 | 65,534 |
| 3 | 114.2.0.0/16 | 114.2.0.1 to 114.2.255.254 | 114.2.255.255 | 65,534 |
| 4 | 114.3.0.0/16 | 114.3.0.1 to 114.3.255.254 | 114.3.255.255 | 65,534 |
| 5 | 114.4.0.0/16 | 114.4.0.1 to 114.4.255.254 | 114.4.255.255 | 65,534 |
| 6 | 114.5.0.0/16 | 114.5.0.1 to 114.5.255.254 | 114.5.255.255 | 65,534 |
| 7 | 114.6.0.0/16 | 114.6.0.1 to 114.6.255.254 | 114.6.255.255 | 65,534 |
| 8 | 114.7.0.0/16 | 114.7.0.1 to 114.7.255.254 | 114.7.255.255 | 65,534 |
| 9 | 114.8.0.0/16 | 114.8.0.1 to 114.8.255.254 | 114.8.255.255 | 65,534 |
| 10 | 114.9.0.0/16 | 114.9.0.1 to 114.9.255.254 | 114.9.255.255 | 65,534 |
| 11 | 114.10.0.0/16 | 114.10.0.1 to 114.10.255.254 | 114.10.255.255 | 65,534 |
| 12 | 114.11.0.0/16 | 114.11.0.1 to 114.11.255.254 | 114.11.255.255 | 65,534 |
| 13 | 114.12.0.0/16 | 114.12.0.1 to 114.12.255.254 | 114.12.255.255 | 65,534 |
| 14 | 114.13.0.0/16 | 114.13.0.1 to 114.13.255.254 | 114.13.255.255 | 65,534 |
| 15 | 114.14.0.0/16 | 114.14.0.1 to 114.14.255.254 | 114.14.255.255 | 65,534 |
| 16 | 114.15.0.0/16 | 114.15.0.1 to 114.15.255.254 | 114.15.255.255 | 65,534 |
| 17 | 114.16.0.0/16 | 114.16.0.1 to 114.16.255.254 | 114.16.255.255 | 65,534 |
| 18 | 114.17.0.0/16 | 114.17.0.1 to 114.17.255.254 | 114.17.255.255 | 65,534 |
| 19 | 114.18.0.0/16 | 114.18.0.1 to 114.18.255.254 | 114.18.255.255 | 65,534 |
| 20 | 114.19.0.0/16 | 114.19.0.1 to 114.19.255.254 | 114.19.255.255 | 65,534 |
| 21 | 114.20.0.0/16 | 114.20.0.1 to 114.20.255.254 | 114.20.255.255 | 65,534 |
| 22 | 114.21.0.0/16 | 114.21.0.1 to 114.21.255.254 | 114.21.255.255 | 65,534 |
| 23 | 114.22.0.0/16 | 114.22.0.1 to 114.22.255.254 | 114.22.255.255 | 65,534 |
| 24 | 114.23.0.0/16 | 114.23.0.1 to 114.23.255.254 | 114.23.255.255 | 65,534 |
| 25 | 114.24.0.0/16 | 114.24.0.1 to 114.24.255.254 | 114.24.255.255 | 65,534 |
| 26 | 114.25.0.0/16 | 114.25.0.1 to 114.25.255.254 | 114.25.255.255 | 65,534 |
| 27 | 114.26.0.0/16 | 114.26.0.1 to 114.26.255.254 | 114.26.255.255 | 65,534 |
| 28 | 114.27.0.0/16 | 114.27.0.1 to 114.27.255.254 | 114.27.255.255 | 65,534 |
| 29 | 114.28.0.0/16 | 114.28.0.1 to 114.28.255.254 | 114.28.255.255 | 65,534 |
| 30 | 114.29.0.0/16 | 114.29.0.1 to 114.29.255.254 | 114.29.255.255 | 65,534 |
| 31 | 114.30.0.0/16 | 114.30.0.1 to 114.30.255.254 | 114.30.255.255 | 65,534 |
| 32 | 114.31.0.0/16 | 114.31.0.1 to 114.31.255.254 | 114.31.255.255 | 65,534 |
| 33 | 114.32.0.0/16 | 114.32.0.1 to 114.32.255.254 | 114.32.255.255 | 65,534 |
| 34 | 114.33.0.0/16 | 114.33.0.1 to 114.33.255.254 | 114.33.255.255 | 65,534 |
| 35 | 114.34.0.0/16 | 114.34.0.1 to 114.34.255.254 | 114.34.255.255 | 65,534 |
| 36 | 114.35.0.0/16 | 114.35.0.1 to 114.35.255.254 | 114.35.255.255 | 65,534 |
| 37 | 114.36.0.0/16 | 114.36.0.1 to 114.36.255.254 | 114.36.255.255 | 65,534 |
| 38 | 114.37.0.0/16 | 114.37.0.1 to 114.37.255.254 | 114.37.255.255 | 65,534 |
| 39 | 114.38.0.0/16 | 114.38.0.1 to 114.38.255.254 | 114.38.255.255 | 65,534 |
| 40 | 114.39.0.0/16 | 114.39.0.1 to 114.39.255.254 | 114.39.255.255 | 65,534 |
| 41 | 114.40.0.0/16 | 114.40.0.1 to 114.40.255.254 | 114.40.255.255 | 65,534 |
| 42 | 114.41.0.0/16 | 114.41.0.1 to 114.41.255.254 | 114.41.255.255 | 65,534 |
| 43 | 114.42.0.0/16 | 114.42.0.1 to 114.42.255.254 | 114.42.255.255 | 65,534 |
| 44 | 114.43.0.0/16 | 114.43.0.1 to 114.43.255.254 | 114.43.255.255 | 65,534 |
| 45 | 114.44.0.0/16 | 114.44.0.1 to 114.44.255.254 | 114.44.255.255 | 65,534 |
| 46 | 114.45.0.0/16 | 114.45.0.1 to 114.45.255.254 | 114.45.255.255 | 65,534 |
| 47 | 114.46.0.0/16 | 114.46.0.1 to 114.46.255.254 | 114.46.255.255 | 65,534 |
| 48 | 114.47.0.0/16 | 114.47.0.1 to 114.47.255.254 | 114.47.255.255 | 65,534 |
| 49 | 114.48.0.0/16 | 114.48.0.1 to 114.48.255.254 | 114.48.255.255 | 65,534 |
| 50 | 114.49.0.0/16 | 114.49.0.1 to 114.49.255.254 | 114.49.255.255 | 65,534 |
| 51 | 114.50.0.0/16 | 114.50.0.1 to 114.50.255.254 | 114.50.255.255 | 65,534 |
| 52 | 114.51.0.0/16 | 114.51.0.1 to 114.51.255.254 | 114.51.255.255 | 65,534 |
| 53 | 114.52.0.0/16 | 114.52.0.1 to 114.52.255.254 | 114.52.255.255 | 65,534 |
| 54 | 114.53.0.0/16 | 114.53.0.1 to 114.53.255.254 | 114.53.255.255 | 65,534 |
| 55 | 114.54.0.0/16 | 114.54.0.1 to 114.54.255.254 | 114.54.255.255 | 65,534 |
| 56 | 114.55.0.0/16 | 114.55.0.1 to 114.55.255.254 | 114.55.255.255 | 65,534 |
| 57 | 114.56.0.0/16 | 114.56.0.1 to 114.56.255.254 | 114.56.255.255 | 65,534 |
| 58 | 114.57.0.0/16 | 114.57.0.1 to 114.57.255.254 | 114.57.255.255 | 65,534 |
| 59 | 114.58.0.0/16 | 114.58.0.1 to 114.58.255.254 | 114.58.255.255 | 65,534 |
| 60 | 114.59.0.0/16 | 114.59.0.1 to 114.59.255.254 | 114.59.255.255 | 65,534 |
| 61 | 114.60.0.0/16 | 114.60.0.1 to 114.60.255.254 | 114.60.255.255 | 65,534 |
| 62 | 114.61.0.0/16 | 114.61.0.1 to 114.61.255.254 | 114.61.255.255 | 65,534 |
| 63 | 114.62.0.0/16 | 114.62.0.1 to 114.62.255.254 | 114.62.255.255 | 65,534 |
| 64 | 114.63.0.0/16 | 114.63.0.1 to 114.63.255.254 | 114.63.255.255 | 65,534 |
| 65 | 114.64.0.0/16 | 114.64.0.1 to 114.64.255.254 | 114.64.255.255 | 65,534 |
| 66 | 114.65.0.0/16 | 114.65.0.1 to 114.65.255.254 | 114.65.255.255 | 65,534 |
| 67 | 114.66.0.0/16 | 114.66.0.1 to 114.66.255.254 | 114.66.255.255 | 65,534 |
| 68 | 114.67.0.0/16 | 114.67.0.1 to 114.67.255.254 | 114.67.255.255 | 65,534 |
| 69 | 114.68.0.0/16 | 114.68.0.1 to 114.68.255.254 | 114.68.255.255 | 65,534 |
| 70 | 114.69.0.0/16 | 114.69.0.1 to 114.69.255.254 | 114.69.255.255 | 65,534 |
| 71 | 114.70.0.0/16 | 114.70.0.1 to 114.70.255.254 | 114.70.255.255 | 65,534 |
| 72 | 114.71.0.0/16 | 114.71.0.1 to 114.71.255.254 | 114.71.255.255 | 65,534 |
| 73 | 114.72.0.0/16 | 114.72.0.1 to 114.72.255.254 | 114.72.255.255 | 65,534 |
| 74 | 114.73.0.0/16 | 114.73.0.1 to 114.73.255.254 | 114.73.255.255 | 65,534 |
| 75 | 114.74.0.0/16 | 114.74.0.1 to 114.74.255.254 | 114.74.255.255 | 65,534 |
| 76 | 114.75.0.0/16 | 114.75.0.1 to 114.75.255.254 | 114.75.255.255 | 65,534 |
| 77 | 114.76.0.0/16 | 114.76.0.1 to 114.76.255.254 | 114.76.255.255 | 65,534 |
| 78 | 114.77.0.0/16 | 114.77.0.1 to 114.77.255.254 | 114.77.255.255 | 65,534 |
| 79 | 114.78.0.0/16 | 114.78.0.1 to 114.78.255.254 | 114.78.255.255 | 65,534 |
| 80 | 114.79.0.0/16 | 114.79.0.1 to 114.79.255.254 | 114.79.255.255 | 65,534 |
| 81 | 114.80.0.0/16 | 114.80.0.1 to 114.80.255.254 | 114.80.255.255 | 65,534 |
| 82 | 114.81.0.0/16 | 114.81.0.1 to 114.81.255.254 | 114.81.255.255 | 65,534 |
| 83 | 114.82.0.0/16 | 114.82.0.1 to 114.82.255.254 | 114.82.255.255 | 65,534 |
| 84 | 114.83.0.0/16 | 114.83.0.1 to 114.83.255.254 | 114.83.255.255 | 65,534 |
| 85 | 114.84.0.0/16 | 114.84.0.1 to 114.84.255.254 | 114.84.255.255 | 65,534 |
| 86 | 114.85.0.0/16 | 114.85.0.1 to 114.85.255.254 | 114.85.255.255 | 65,534 |
| 87 | 114.86.0.0/16 | 114.86.0.1 to 114.86.255.254 | 114.86.255.255 | 65,534 |
| 88 | 114.87.0.0/16 | 114.87.0.1 to 114.87.255.254 | 114.87.255.255 | 65,534 |
| 89 | 114.88.0.0/16 | 114.88.0.1 to 114.88.255.254 | 114.88.255.255 | 65,534 |
| 90 | 114.89.0.0/16 | 114.89.0.1 to 114.89.255.254 | 114.89.255.255 | 65,534 |
| 91 | 114.90.0.0/16 | 114.90.0.1 to 114.90.255.254 | 114.90.255.255 | 65,534 |
| 92 | 114.91.0.0/16 | 114.91.0.1 to 114.91.255.254 | 114.91.255.255 | 65,534 |
| 93 | 114.92.0.0/16 | 114.92.0.1 to 114.92.255.254 | 114.92.255.255 | 65,534 |
| 94 | 114.93.0.0/16 | 114.93.0.1 to 114.93.255.254 | 114.93.255.255 | 65,534 |
| 95 | 114.94.0.0/16 | 114.94.0.1 to 114.94.255.254 | 114.94.255.255 | 65,534 |
| 96 | 114.95.0.0/16 | 114.95.0.1 to 114.95.255.254 | 114.95.255.255 | 65,534 |
| 97 | 114.96.0.0/16 | 114.96.0.1 to 114.96.255.254 | 114.96.255.255 | 65,534 |
| 98 | 114.97.0.0/16 | 114.97.0.1 to 114.97.255.254 | 114.97.255.255 | 65,534 |
| 99 | 114.98.0.0/16 | 114.98.0.1 to 114.98.255.254 | 114.98.255.255 | 65,534 |
| 100 | 114.99.0.0/16 | 114.99.0.1 to 114.99.255.254 | 114.99.255.255 | 65,534 |
| 101 | 114.100.0.0/16 | 114.100.0.1 to 114.100.255.254 | 114.100.255.255 | 65,534 |
| 102 | 114.101.0.0/16 | 114.101.0.1 to 114.101.255.254 | 114.101.255.255 | 65,534 |
| 103 | 114.102.0.0/16 | 114.102.0.1 to 114.102.255.254 | 114.102.255.255 | 65,534 |
| 104 | 114.103.0.0/16 | 114.103.0.1 to 114.103.255.254 | 114.103.255.255 | 65,534 |
| 105 | 114.104.0.0/16 | 114.104.0.1 to 114.104.255.254 | 114.104.255.255 | 65,534 |
| 106 | 114.105.0.0/16 | 114.105.0.1 to 114.105.255.254 | 114.105.255.255 | 65,534 |
| 107 | 114.106.0.0/16 | 114.106.0.1 to 114.106.255.254 | 114.106.255.255 | 65,534 |
| 108 | 114.107.0.0/16 | 114.107.0.1 to 114.107.255.254 | 114.107.255.255 | 65,534 |
| 109 | 114.108.0.0/16 | 114.108.0.1 to 114.108.255.254 | 114.108.255.255 | 65,534 |
| 110 | 114.109.0.0/16 | 114.109.0.1 to 114.109.255.254 | 114.109.255.255 | 65,534 |
| 111 | 114.110.0.0/16 | 114.110.0.1 to 114.110.255.254 | 114.110.255.255 | 65,534 |
| 112 | 114.111.0.0/16 | 114.111.0.1 to 114.111.255.254 | 114.111.255.255 | 65,534 |
| 113 | 114.112.0.0/16 | 114.112.0.1 to 114.112.255.254 | 114.112.255.255 | 65,534 |
| 114 | 114.113.0.0/16 | 114.113.0.1 to 114.113.255.254 | 114.113.255.255 | 65,534 |
| 115 | 114.114.0.0/16 | 114.114.0.1 to 114.114.255.254 | 114.114.255.255 | 65,534 |
| 116 | 114.115.0.0/16 | 114.115.0.1 to 114.115.255.254 | 114.115.255.255 | 65,534 |
| 117 | 114.116.0.0/16 | 114.116.0.1 to 114.116.255.254 | 114.116.255.255 | 65,534 |
| 118 | 114.117.0.0/16 | 114.117.0.1 to 114.117.255.254 | 114.117.255.255 | 65,534 |
| 119 | 114.118.0.0/16 | 114.118.0.1 to 114.118.255.254 | 114.118.255.255 | 65,534 |
| 120 | 114.119.0.0/16 | 114.119.0.1 to 114.119.255.254 | 114.119.255.255 | 65,534 |
| 121 | 114.120.0.0/16 | 114.120.0.1 to 114.120.255.254 | 114.120.255.255 | 65,534 |
| 122 | 114.121.0.0/16 | 114.121.0.1 to 114.121.255.254 | 114.121.255.255 | 65,534 |
| 123 | 114.122.0.0/16 | 114.122.0.1 to 114.122.255.254 | 114.122.255.255 | 65,534 |
| 124 | 114.123.0.0/16 | 114.123.0.1 to 114.123.255.254 | 114.123.255.255 | 65,534 |
| 125 | 114.124.0.0/16 | 114.124.0.1 to 114.124.255.254 | 114.124.255.255 | 65,534 |
| 126 | 114.125.0.0/16 | 114.125.0.1 to 114.125.255.254 | 114.125.255.255 | 65,534 |
| 127 | 114.126.0.0/16 | 114.126.0.1 to 114.126.255.254 | 114.126.255.255 | 65,534 |
| 128 | 114.127.0.0/16 | 114.127.0.1 to 114.127.255.254 | 114.127.255.255 | 65,534 |
| 129 | 114.128.0.0/16 | 114.128.0.1 to 114.128.255.254 | 114.128.255.255 | 65,534 |
| 130 | 114.129.0.0/16 | 114.129.0.1 to 114.129.255.254 | 114.129.255.255 | 65,534 |
| 131 | 114.130.0.0/16 | 114.130.0.1 to 114.130.255.254 | 114.130.255.255 | 65,534 |
| 132 | 114.131.0.0/16 | 114.131.0.1 to 114.131.255.254 | 114.131.255.255 | 65,534 |
| 133 | 114.132.0.0/16 | 114.132.0.1 to 114.132.255.254 | 114.132.255.255 | 65,534 |
| 134 | 114.133.0.0/16 | 114.133.0.1 to 114.133.255.254 | 114.133.255.255 | 65,534 |
| 135 | 114.134.0.0/16 | 114.134.0.1 to 114.134.255.254 | 114.134.255.255 | 65,534 |
| 136 | 114.135.0.0/16 | 114.135.0.1 to 114.135.255.254 | 114.135.255.255 | 65,534 |
| 137 | 114.136.0.0/16 | 114.136.0.1 to 114.136.255.254 | 114.136.255.255 | 65,534 |
| 138 | 114.137.0.0/16 | 114.137.0.1 to 114.137.255.254 | 114.137.255.255 | 65,534 |
| 139 | 114.138.0.0/16 | 114.138.0.1 to 114.138.255.254 | 114.138.255.255 | 65,534 |
| 140 | 114.139.0.0/16 | 114.139.0.1 to 114.139.255.254 | 114.139.255.255 | 65,534 |
| 141 | 114.140.0.0/16 | 114.140.0.1 to 114.140.255.254 | 114.140.255.255 | 65,534 |
| 142 | 114.141.0.0/16 | 114.141.0.1 to 114.141.255.254 | 114.141.255.255 | 65,534 |
| 143 | 114.142.0.0/16 | 114.142.0.1 to 114.142.255.254 | 114.142.255.255 | 65,534 |
| 144 | 114.143.0.0/16 | 114.143.0.1 to 114.143.255.254 | 114.143.255.255 | 65,534 |
| 145 | 114.144.0.0/16 | 114.144.0.1 to 114.144.255.254 | 114.144.255.255 | 65,534 |
| 146 | 114.145.0.0/16 | 114.145.0.1 to 114.145.255.254 | 114.145.255.255 | 65,534 |
| 147 | 114.146.0.0/16 | 114.146.0.1 to 114.146.255.254 | 114.146.255.255 | 65,534 |
| 148 | 114.147.0.0/16 | 114.147.0.1 to 114.147.255.254 | 114.147.255.255 | 65,534 |
| 149 | 114.148.0.0/16 | 114.148.0.1 to 114.148.255.254 | 114.148.255.255 | 65,534 |
| 150 | 114.149.0.0/16 | 114.149.0.1 to 114.149.255.254 | 114.149.255.255 | 65,534 |
| 151 | 114.150.0.0/16 | 114.150.0.1 to 114.150.255.254 | 114.150.255.255 | 65,534 |
| 152 | 114.151.0.0/16 | 114.151.0.1 to 114.151.255.254 | 114.151.255.255 | 65,534 |
| 153 | 114.152.0.0/16 | 114.152.0.1 to 114.152.255.254 | 114.152.255.255 | 65,534 |
| 154 | 114.153.0.0/16 | 114.153.0.1 to 114.153.255.254 | 114.153.255.255 | 65,534 |
| 155 | 114.154.0.0/16 | 114.154.0.1 to 114.154.255.254 | 114.154.255.255 | 65,534 |
| 156 | 114.155.0.0/16 | 114.155.0.1 to 114.155.255.254 | 114.155.255.255 | 65,534 |
| 157 | 114.156.0.0/16 | 114.156.0.1 to 114.156.255.254 | 114.156.255.255 | 65,534 |
| 158 | 114.157.0.0/16 | 114.157.0.1 to 114.157.255.254 | 114.157.255.255 | 65,534 |
| 159 | 114.158.0.0/16 | 114.158.0.1 to 114.158.255.254 | 114.158.255.255 | 65,534 |
| 160 | 114.159.0.0/16 | 114.159.0.1 to 114.159.255.254 | 114.159.255.255 | 65,534 |
| 161 | 114.160.0.0/16 | 114.160.0.1 to 114.160.255.254 | 114.160.255.255 | 65,534 |
| 162 | 114.161.0.0/16 | 114.161.0.1 to 114.161.255.254 | 114.161.255.255 | 65,534 |
| 163 | 114.162.0.0/16 | 114.162.0.1 to 114.162.255.254 | 114.162.255.255 | 65,534 |
| 164 | 114.163.0.0/16 | 114.163.0.1 to 114.163.255.254 | 114.163.255.255 | 65,534 |
| 165 | 114.164.0.0/16 | 114.164.0.1 to 114.164.255.254 | 114.164.255.255 | 65,534 |
| 166 | 114.165.0.0/16 | 114.165.0.1 to 114.165.255.254 | 114.165.255.255 | 65,534 |
| 167 | 114.166.0.0/16 | 114.166.0.1 to 114.166.255.254 | 114.166.255.255 | 65,534 |
| 168 | 114.167.0.0/16 | 114.167.0.1 to 114.167.255.254 | 114.167.255.255 | 65,534 |
| 169 | 114.168.0.0/16 | 114.168.0.1 to 114.168.255.254 | 114.168.255.255 | 65,534 |
| 170 | 114.169.0.0/16 | 114.169.0.1 to 114.169.255.254 | 114.169.255.255 | 65,534 |
| 171 | 114.170.0.0/16 | 114.170.0.1 to 114.170.255.254 | 114.170.255.255 | 65,534 |
| 172 | 114.171.0.0/16 | 114.171.0.1 to 114.171.255.254 | 114.171.255.255 | 65,534 |
| 173 | 114.172.0.0/16 | 114.172.0.1 to 114.172.255.254 | 114.172.255.255 | 65,534 |
| 174 | 114.173.0.0/16 | 114.173.0.1 to 114.173.255.254 | 114.173.255.255 | 65,534 |
| 175 | 114.174.0.0/16 | 114.174.0.1 to 114.174.255.254 | 114.174.255.255 | 65,534 |
| 176 | 114.175.0.0/16 | 114.175.0.1 to 114.175.255.254 | 114.175.255.255 | 65,534 |
| 177 | 114.176.0.0/16 | 114.176.0.1 to 114.176.255.254 | 114.176.255.255 | 65,534 |
| 178 | 114.177.0.0/16 | 114.177.0.1 to 114.177.255.254 | 114.177.255.255 | 65,534 |
| 179 | 114.178.0.0/16 | 114.178.0.1 to 114.178.255.254 | 114.178.255.255 | 65,534 |
| 180 | 114.179.0.0/16 | 114.179.0.1 to 114.179.255.254 | 114.179.255.255 | 65,534 |
| 181 | 114.180.0.0/16 | 114.180.0.1 to 114.180.255.254 | 114.180.255.255 | 65,534 |
| 182 | 114.181.0.0/16 | 114.181.0.1 to 114.181.255.254 | 114.181.255.255 | 65,534 |
| 183 | 114.182.0.0/16 | 114.182.0.1 to 114.182.255.254 | 114.182.255.255 | 65,534 |
| 184 | 114.183.0.0/16 | 114.183.0.1 to 114.183.255.254 | 114.183.255.255 | 65,534 |
| 185 | 114.184.0.0/16 | 114.184.0.1 to 114.184.255.254 | 114.184.255.255 | 65,534 |
| 186 | 114.185.0.0/16 | 114.185.0.1 to 114.185.255.254 | 114.185.255.255 | 65,534 |
| 187 | 114.186.0.0/16 | 114.186.0.1 to 114.186.255.254 | 114.186.255.255 | 65,534 |
| 188 | 114.187.0.0/16 | 114.187.0.1 to 114.187.255.254 | 114.187.255.255 | 65,534 |
| 189 | 114.188.0.0/16 | 114.188.0.1 to 114.188.255.254 | 114.188.255.255 | 65,534 |
| 190 | 114.189.0.0/16 | 114.189.0.1 to 114.189.255.254 | 114.189.255.255 | 65,534 |
| 191 | 114.190.0.0/16 | 114.190.0.1 to 114.190.255.254 | 114.190.255.255 | 65,534 |
| 192 | 114.191.0.0/16 | 114.191.0.1 to 114.191.255.254 | 114.191.255.255 | 65,534 |
| 193 | 114.192.0.0/16 | 114.192.0.1 to 114.192.255.254 | 114.192.255.255 | 65,534 |
| 194 | 114.193.0.0/16 | 114.193.0.1 to 114.193.255.254 | 114.193.255.255 | 65,534 |
| 195 | 114.194.0.0/16 | 114.194.0.1 to 114.194.255.254 | 114.194.255.255 | 65,534 |
| 196 | 114.195.0.0/16 | 114.195.0.1 to 114.195.255.254 | 114.195.255.255 | 65,534 |
| 197 | 114.196.0.0/16 | 114.196.0.1 to 114.196.255.254 | 114.196.255.255 | 65,534 |
| 198 | 114.197.0.0/16 | 114.197.0.1 to 114.197.255.254 | 114.197.255.255 | 65,534 |
| 199 | 114.198.0.0/16 | 114.198.0.1 to 114.198.255.254 | 114.198.255.255 | 65,534 |
| 200 | 114.199.0.0/16 | 114.199.0.1 to 114.199.255.254 | 114.199.255.255 | 65,534 |
| 201 | 114.200.0.0/16 | 114.200.0.1 to 114.200.255.254 | 114.200.255.255 | 65,534 |
| 202 | 114.201.0.0/16 | 114.201.0.1 to 114.201.255.254 | 114.201.255.255 | 65,534 |
| 203 | 114.202.0.0/16 | 114.202.0.1 to 114.202.255.254 | 114.202.255.255 | 65,534 |
| 204 | 114.203.0.0/16 | 114.203.0.1 to 114.203.255.254 | 114.203.255.255 | 65,534 |
| 205 | 114.204.0.0/16 | 114.204.0.1 to 114.204.255.254 | 114.204.255.255 | 65,534 |
| 206 | 114.205.0.0/16 | 114.205.0.1 to 114.205.255.254 | 114.205.255.255 | 65,534 |
| 207 | 114.206.0.0/16 | 114.206.0.1 to 114.206.255.254 | 114.206.255.255 | 65,534 |
| 208 | 114.207.0.0/16 | 114.207.0.1 to 114.207.255.254 | 114.207.255.255 | 65,534 |
| 209 | 114.208.0.0/16 | 114.208.0.1 to 114.208.255.254 | 114.208.255.255 | 65,534 |
| 210 | 114.209.0.0/16 | 114.209.0.1 to 114.209.255.254 | 114.209.255.255 | 65,534 |
| 211 | 114.210.0.0/16 | 114.210.0.1 to 114.210.255.254 | 114.210.255.255 | 65,534 |
| 212 | 114.211.0.0/16 | 114.211.0.1 to 114.211.255.254 | 114.211.255.255 | 65,534 |
| 213 | 114.212.0.0/16 | 114.212.0.1 to 114.212.255.254 | 114.212.255.255 | 65,534 |
| 214 | 114.213.0.0/16 | 114.213.0.1 to 114.213.255.254 | 114.213.255.255 | 65,534 |
| 215 | 114.214.0.0/16 | 114.214.0.1 to 114.214.255.254 | 114.214.255.255 | 65,534 |
| 216 | 114.215.0.0/16 | 114.215.0.1 to 114.215.255.254 | 114.215.255.255 | 65,534 |
| 217 | 114.216.0.0/16 | 114.216.0.1 to 114.216.255.254 | 114.216.255.255 | 65,534 |
| 218 | 114.217.0.0/16 | 114.217.0.1 to 114.217.255.254 | 114.217.255.255 | 65,534 |
| 219 | 114.218.0.0/16 | 114.218.0.1 to 114.218.255.254 | 114.218.255.255 | 65,534 |
| 220 | 114.219.0.0/16 | 114.219.0.1 to 114.219.255.254 | 114.219.255.255 | 65,534 |
| 221 | 114.220.0.0/16 | 114.220.0.1 to 114.220.255.254 | 114.220.255.255 | 65,534 |
| 222 | 114.221.0.0/16 | 114.221.0.1 to 114.221.255.254 | 114.221.255.255 | 65,534 |
| 223 | 114.222.0.0/16 | 114.222.0.1 to 114.222.255.254 | 114.222.255.255 | 65,534 |
| 224 | 114.223.0.0/16 | 114.223.0.1 to 114.223.255.254 | 114.223.255.255 | 65,534 |
| 225 | 114.224.0.0/16 | 114.224.0.1 to 114.224.255.254 | 114.224.255.255 | 65,534 |
| 226 | 114.225.0.0/16 | 114.225.0.1 to 114.225.255.254 | 114.225.255.255 | 65,534 |
| 227 | 114.226.0.0/16 | 114.226.0.1 to 114.226.255.254 | 114.226.255.255 | 65,534 |
| 228 | 114.227.0.0/16 | 114.227.0.1 to 114.227.255.254 | 114.227.255.255 | 65,534 |
| 229 | 114.228.0.0/16 | 114.228.0.1 to 114.228.255.254 | 114.228.255.255 | 65,534 |
| 230 | 114.229.0.0/16 | 114.229.0.1 to 114.229.255.254 | 114.229.255.255 | 65,534 |
| 231 | 114.230.0.0/16 | 114.230.0.1 to 114.230.255.254 | 114.230.255.255 | 65,534 |
| 232 | 114.231.0.0/16 | 114.231.0.1 to 114.231.255.254 | 114.231.255.255 | 65,534 |
| 233 | 114.232.0.0/16 | 114.232.0.1 to 114.232.255.254 | 114.232.255.255 | 65,534 |
| 234 | 114.233.0.0/16 | 114.233.0.1 to 114.233.255.254 | 114.233.255.255 | 65,534 |
| 235 | 114.234.0.0/16 | 114.234.0.1 to 114.234.255.254 | 114.234.255.255 | 65,534 |
| 236 | 114.235.0.0/16 | 114.235.0.1 to 114.235.255.254 | 114.235.255.255 | 65,534 |
| 237 | 114.236.0.0/16 | 114.236.0.1 to 114.236.255.254 | 114.236.255.255 | 65,534 |
| 238 | 114.237.0.0/16 | 114.237.0.1 to 114.237.255.254 | 114.237.255.255 | 65,534 |
| 239 | 114.238.0.0/16 | 114.238.0.1 to 114.238.255.254 | 114.238.255.255 | 65,534 |
| 240 | 114.239.0.0/16 | 114.239.0.1 to 114.239.255.254 | 114.239.255.255 | 65,534 |
| 241 | 114.240.0.0/16 | 114.240.0.1 to 114.240.255.254 | 114.240.255.255 | 65,534 |
| 242 | 114.241.0.0/16 | 114.241.0.1 to 114.241.255.254 | 114.241.255.255 | 65,534 |
| 243 | 114.242.0.0/16 | 114.242.0.1 to 114.242.255.254 | 114.242.255.255 | 65,534 |
| 244 | 114.243.0.0/16 | 114.243.0.1 to 114.243.255.254 | 114.243.255.255 | 65,534 |
| 245 | 114.244.0.0/16 | 114.244.0.1 to 114.244.255.254 | 114.244.255.255 | 65,534 |
| 246 | 114.245.0.0/16 | 114.245.0.1 to 114.245.255.254 | 114.245.255.255 | 65,534 |
| 247 | 114.246.0.0/16 | 114.246.0.1 to 114.246.255.254 | 114.246.255.255 | 65,534 |
| 248 | 114.247.0.0/16 | 114.247.0.1 to 114.247.255.254 | 114.247.255.255 | 65,534 |
| 249 | 114.248.0.0/16 | 114.248.0.1 to 114.248.255.254 | 114.248.255.255 | 65,534 |
| 250 | 114.249.0.0/16 | 114.249.0.1 to 114.249.255.254 | 114.249.255.255 | 65,534 |
| 251 | 114.250.0.0/16 | 114.250.0.1 to 114.250.255.254 | 114.250.255.255 | 65,534 |
| 252 | 114.251.0.0/16 | 114.251.0.1 to 114.251.255.254 | 114.251.255.255 | 65,534 |
| 253 | 114.252.0.0/16 | 114.252.0.1 to 114.252.255.254 | 114.252.255.255 | 65,534 |
| 254 | 114.253.0.0/16 | 114.253.0.1 to 114.253.255.254 | 114.253.255.255 | 65,534 |
| 255 | 114.254.0.0/16 | 114.254.0.1 to 114.254.255.254 | 114.254.255.255 | 65,534 |
| 256 | 114.255.0.0/16 | 114.255.0.1 to 114.255.255.254 | 114.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |